<?php

/*
Plugin Name: Social buttons plugin
Plugin URI: http://giveawayrights.net/
Description: See "Socialbuttons - How to use.pdf"
Version: 1.0
Author: Alex Blades, Give Away Rights
Author URI: http://giveawayrights.net/
*/

/*====================================================================================================*/
	// Admin interface for socialbuttons plugin
	add_action('admin_menu','socialbuttons_admin');

	function socialbuttons_admin(){
		// add_menu_page( 'socialbuttons Options', 'Socialbuttons plugin', 'manage_options', 'socialbuttons', 'socialbuttons_options_page' );
		add_options_page( 'Socialbuttons Options', 'Socialbuttons Options', 'manage_options', 'socialbuttons', 'socialbuttons_options_page');

		// Call register settings function
		add_action( 'admin_init', 'socialbuttons_settings' );
	}

	function socialbuttons_settings(){
		// Register settings
		register_setting( 'socialbuttons-settings-group', 'socialbuttons_option-facebook-show-annotation' );
		register_setting( 'socialbuttons-settings-group', 'socialbuttons_option-twitter-show-annotation' );
		register_setting( 'socialbuttons-settings-group', 'socialbuttons_option-googleplus-show-annotation' );
	}
	// update_option('my-plugin-options', $variable);

	function socialbuttons_options_page(){
		include_once('options_page.php');
	}

	// Tool
	function socialbuttons_build($atts){
		extract( shortcode_atts( array(
			'media' => '',
			'url_to_like' => get_permalink(),
			'cloak_title' => '',
		), $atts ) );
		
		if(!empty($cloak_title)){
			update_option( 'socialbuttons-redirects-'.$cloak_title, $url_to_like );
			$url_to_like = get_site_url().'/c/'.$cloak_title;
		}

		switch($media){
			case "facebook" : 
				$annotation = get_option('socialbuttons_option-facebook-show-annotation');
				$layout = ($annotation==1)?'standard':'button_count';
				$width = ($annotation==1)?'width:300px;':'width:140px;';
				
				$return = '<iframe 
					src="http://www.facebook.com/plugins/like.php?href='.$url_to_like.'&layout='.$layout.'" 
					scrolling="no" frameborder="0" allowTransparency="true" style="float:left;margin:0;height:45px;'.$width.'"></iframe>';
				
				break;
			
			case "twitter" :
				
				$return = '<iframe allowtransparency="true" frameborder="0" scrolling="no"
					src="https://platform.twitter.com/widgets/tweet_button.html?url='.$url_to_like.'&count=horizontal"
					style="width:110px;height:45px;margin:0;float:left;"></iframe>';
				break;
			
			case "googleplus" :
				$annotation = get_option('socialbuttons_option-googleplus-show-annotation');
				$layout = ($annotation==1)?'annotation="inline" width="300"':'';
				
				wp_register_script( 'googleplus-like-button', 'https://apis.google.com/js/plusone.js' );
				wp_enqueue_script( 'googleplus-like-button' );
				
				$return = '<g:plusone size="medium" '.$layout.' href="'.$url_to_like.'"></g:plusone>';
				break;
			
			case "linkedin" :
			
				return '<script src="//platform.linkedin.com/in.js" type="text/javascript"></script>
<script type="IN/Share" data-url="'.$url_to_like.'" data-counter="right"></script>';

				break;
			
			default:break;
		
		}
		
		return $return;
	}

	add_shortcode("socialbuttons", "socialbuttons_build");
	
	
	// TinyMCE button
	add_filter( 'mce_external_plugins', 'add_plugin' );
    add_filter( 'mce_buttons', 'register_button' );

 
	function register_button( $buttons ) {
		array_push( $buttons, "|", "socialbuttons-facebook", "|", "socialbuttons-twitter", "|", "socialbuttons-googleplus", "|", "socialbuttons-linkedin" );
		return $buttons;
	}
 
	function add_plugin( $plugin_array ) {
		$plugin_array['socialbuttons'] = plugins_url( 'socialbuttons.js' , __FILE__ );
		return $plugin_array;
	}

	
	// URL cloaker
	define('PERMANENT_REDIRECT',301);
	
	function url_cloaker()
	{
		$src_url = $_SERVER['REQUEST_URI'];
		
		if (substr_count($src_url,'/c/')==1){
			$cloak_title = substr($src_url,strpos($src_url,'/c/')+3);
			if(substr_count($cloak_title,'?')) $cloak_title = substr($cloak_title,0,strpos($cloak_title,'?'));
			
			$dst_url = get_option('socialbuttons-redirects-'.$cloak_title);
			
			wp_redirect($dst_url, PERMANENT_REDIRECT);exit;
		}

	}
	add_action('init', 'url_cloaker');
	/*======================================================================================================*/
	
	/*======================================================================================================*/
?>